## org.eclipse.datatools.connectivity.sqm.core.rte
Class EngineeringOption

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.core.rte.EngineeringOption

All Implemented Interfaces:
  java.lang.Cloneable

public final class EngineeringOption
extends java.lang.Object
implements java.lang.Cloneable

Nested Class Summary
`static class` `EngineeringOption.EnumLiteral`

Field Summary
`static byte` `BOOLEAN_OPTION`
`static byte` `ENUM_OPTION`
`static byte` `INTEGER_OPTION`
`static byte` `STRING_OPTION`

Constructor Summary
`EngineeringOption(java.lang.String name, java.lang.String description, boolean initialValue)`
`EngineeringOption(java.lang.String name, java.lang.String description, int initialValue)`
`EngineeringOption(java.lang.String name, java.lang.String description, int initialValue, EngineeringOption.EnumLiteral[] choices)`
`EngineeringOption(java.lang.String name, java.lang.String description, java.lang.String initialValue)`
`EngineeringOption(java.lang.String id, java.lang.String name, java.lang.String description, boolean initialValue, EngineeringOptionCategory category)`
`EngineeringOption(java.lang.String id, java.lang.String name, java.lang.String description, int initialValue, EngineeringOption.EnumLiteral[] choices, EngineeringOptionCategory category)`
`EngineeringOption(java.lang.String id, java.lang.String name, java.lang.String description, int initialValue, EngineeringOptionCategory category)`
`EngineeringOption(java.lang.String id, java.lang.String name, java.lang.String description, java.lang.String initialValue, EngineeringOptionCategory category)`

Method Summary
`boolean` `getBoolean()`
`EngineeringOptionCategory` `getCategory()`
`EngineeringOption.EnumLiteral[]` `getEnumLiterals()`
`java.lang.String` `getId()`
`int` `getInt()`
`java.lang.String` `getOptionDescription()`
`java.lang.String` `getOptionName()`
`byte` `getOptionType()`
`java.lang.String` `getString()`
`void` `initOption(java.lang.String id, java.lang.String name, java.lang.String description, int initialValue, EngineeringOption.EnumLiteral[] choices, EngineeringOptionCategory category)`
`void` `initOption(java.lang.String id, java.lang.String name, java.lang.String description, int initialValue, EngineeringOptionCategory category)`
`void` `initOption(java.lang.String id, java.lang.String name, java.lang.String description, java.lang.String initialValue, EngineeringOptionCategory category)`
`void` `setBoolean(boolean value)`
`void` `setCategory(EngineeringOptionCategory category)`
`void` `setId(java.lang.String id)`
`void` `setInt(int value)`
`void` `setString(java.lang.String value)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BOOLEAN_OPTION

    public static final byte BOOLEAN_OPTION

See Also:
  Constant Field Values

### INTEGER_OPTION

    public static final byte INTEGER_OPTION

See Also:
  Constant Field Values

### STRING_OPTION

    public static final byte STRING_OPTION

See Also:
  Constant Field Values

### ENUM_OPTION

    public static final byte ENUM_OPTION

See Also:
  Constant Field Values

Constructor Detail

### EngineeringOption

    public EngineeringOption(java.lang.String name,
                             java.lang.String description,
                             boolean initialValue)

### EngineeringOption

    public EngineeringOption(java.lang.String id,
                             java.lang.String name,
                             java.lang.String description,
                             boolean initialValue,
                             EngineeringOptionCategory category)

### EngineeringOption

    public EngineeringOption(java.lang.String name,
                             java.lang.String description,
                             java.lang.String initialValue)

### EngineeringOption

    public EngineeringOption(java.lang.String id,
                             java.lang.String name,
                             java.lang.String description,
                             java.lang.String initialValue,
                             EngineeringOptionCategory category)

### EngineeringOption

    public EngineeringOption(java.lang.String name,
                             java.lang.String description,
                             int initialValue)

### EngineeringOption

    public EngineeringOption(java.lang.String id,
                             java.lang.String name,
                             java.lang.String description,
                             int initialValue,
                             EngineeringOptionCategory category)

### EngineeringOption

    public EngineeringOption(java.lang.String name,
                             java.lang.String description,
                             int initialValue,
                             EngineeringOption.EnumLiteral[] choices)

### EngineeringOption

    public EngineeringOption(java.lang.String id,
                             java.lang.String name,
                             java.lang.String description,
                             int initialValue,
                             EngineeringOption.EnumLiteral[] choices,
                             EngineeringOptionCategory category)

Method Detail

### getOptionName

    public java.lang.String getOptionName()

### getOptionDescription

    public java.lang.String getOptionDescription()

### getOptionType

    public byte getOptionType()

### getEnumLiterals

    public EngineeringOption.EnumLiteral[] getEnumLiterals()

### getBoolean

    public boolean getBoolean()

### getInt

    public int getInt()

### getString

    public java.lang.String getString()

### setBoolean

    public void setBoolean(boolean value)

### setInt

    public void setInt(int value)

### setString

    public void setString(java.lang.String value)

### getId

    public java.lang.String getId()

### setId

    public void setId(java.lang.String id)

### getCategory

    public EngineeringOptionCategory getCategory()

### setCategory

    public void setCategory(EngineeringOptionCategory category)

### initOption

    public void initOption(java.lang.String id,
                           java.lang.String name,
                           java.lang.String description,
                           java.lang.String initialValue,
                           EngineeringOptionCategory category)

### initOption

    public void initOption(java.lang.String id,
                           java.lang.String name,
                           java.lang.String description,
                           int initialValue,
                           EngineeringOptionCategory category)

### initOption

    public void initOption(java.lang.String id,
                           java.lang.String name,
                           java.lang.String description,
                           int initialValue,
                           EngineeringOption.EnumLiteral[] choices,
                           EngineeringOptionCategory category)

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.